## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate which

Name:           rust-which
Version:        8.0.0
Release:        %autorelease
Summary:        Rust equivalent of Unix command "which"

License:        MIT
URL:            https://crates.io/crates/which
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          which-fix-metadata-auto.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A Rust equivalent of Unix command "which". Locate installed executable
in cross platforms.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.txt
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+real-sys-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+real-sys-devel %{_description}

This package contains library source intended for building other packages which
use the "real-sys" feature of the "%{crate}" crate.

%files       -n %{name}+real-sys-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+regex-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+regex-devel %{_description}

This package contains library source intended for building other packages which
use the "regex" feature of the "%{crate}" crate.

%files       -n %{name}+regex-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tracing-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tracing-devel %{_description}

This package contains library source intended for building other packages which
use the "tracing" feature of the "%{crate}" crate.

%files       -n %{name}+tracing-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Wed Jun 25 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 8.0.0-1
- Update to version 8.0.0; Fixes RHBZ#2370374

* Tue May 20 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 7.0.3-1
- Update to version 7.0.3; fixes RHBZ#2358454

* Sat Mar 15 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 7.0.2-1
- Update to version 7.0.2; Fixes RHBZ#2344152

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 7.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sun Dec 01 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 7.0.0-1
- Update to version 7.0.0; Fixes RHBZ#2323107

* Wed Sep 18 2024 Fabio Valentini <decathorpe@gmail.com> - 6.0.3-1
- Update to version 6.0.3; Fixes RHBZ#2306102

* Fri Aug 09 2024 Fabio Valentini <decathorpe@gmail.com> - 6.0.2-1
- Update to version 6.0.2; Fixes RHBZ#2301435

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 6.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Apr 13 2024 Fabio Valentini <decathorpe@gmail.com> - 6.0.1-1
- Update to version 6.0.1; Fixes RHBZ#2271145

* Fri Mar 08 2024 Michel Lind <salimma@fedoraproject.org> - 6.0.0-1
- Update to 6.0.0 (rhbz#2244756)

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fabio Valentini <decathorpe@gmail.com> - 5.0.0-1
- Update to version 5.0.0

* Sun Sep 17 2023 Fabio Valentini <decathorpe@gmail.com> - 4.4.2-1
- Update to version 4.4.2; Fixes RHBZ#2237164

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Jan 29 2023 Fabio Valentini <decathorpe@gmail.com> - 4.4.0-1
- Update to version 4.4.0; Fixes RHBZ#2162636

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Sep 02 2022 Fabio Valentini <decathorpe@gmail.com> - 4.3.0-1
- Update to version 4.3.0; Fixes RHBZ#2122895

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed May 11 2022 Fabio Valentini <decathorpe@gmail.com> - 4.2.5-1
- Update to version 4.2.5; Fixes RHBZ#2066079

* Wed Jan 26 2022 Fabio Valentini <decathorpe@gmail.com> - 4.2.4-1
- Update to version 4.2.4; Fixes RHBZ#2044192

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Jul 31 2021 Fabio Valentini <decathorpe@gmail.com> - 4.2.2-1
- Update to version 4.2.2; Fixes RHBZ#1987293

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun Mar 28 2021 Fabio Valentini <decathorpe@gmail.com> - 4.1.0-1
- Update to version 4.1.0.
- Fixes RHBZ#1943905

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Sep 16 2020 Fabio Valentini <decathorpe@gmail.com> - 4.0.2-1
- Update to version 4.0.2.

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Mar 11 2020 Josh Stone <jistone@redhat.com> - 3.1.1-2
- Rebuild

* Tue Mar 10 2020 Josh Stone <jistone@redhat.com> - 3.1.1-1
- Update to 3.1.1

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Dec 05 14:30:50 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 3.1.0-1
- Update to 3.1.0

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Jun 22 13:09:58 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.0.1-4
- Regenerate

* Mon Feb 11 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.0.1-3
- Run tests in infrastructure

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Nov 27 2018 Josh Stone <jistone@redhat.com> - 2.0.1-1
- Update to 2.0.1

* Mon Nov 12 2018 Josh Stone <jistone@redhat.com> - 2.0.0-3
- Adapt to new packaging

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Apr 26 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.0.0-1
- Update to 2.0.0

* Sun Feb 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.5-1
- Update to 1.0.5

* Fri Feb 16 2018 Josh Stone <jistone@redhat.com> - 1.0.4-1
- Update to 1.0.4

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.3-2
- Rebuild for rust-packaging v5

* Wed Nov 29 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.3-1
- Initial package

## END: Generated by rpmautospec
